/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/*
	@TODO: Add to theme: new division fix for updated sass package.
*/
/**==================================================================================================================================
BREAKPOINT
@TODO: remove? What is use case?? either use simple global points or write custom line. why does first breakpoint have to be 0?
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/**
 *	Fluid sized fonts
 *	Read more here:
 *	https://css-tricks.com/snippets/css/fluid-typography/
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
section.logo-image {
  margin-top: 0;
}

section.logo-image .logo-container {
  display: flex;
}

section.logo-image .logo-container.left {
  justify-content: left;
}

section.logo-image .logo-container.center {
  justify-content: center;
}

section.logo-image .logo-container.right {
  justify-content: right;
}

section.logo-image .logo-container img.large {
  width: 100%;
}

section.logo-image .logo-container img.medium {
  width: 50%;
}

section.logo-image .logo-container img.small {
  width: 25%;
}
